.. _user_manual:

====================================
User manual for the Python interface
====================================

This is the user manual for the Python bindings to the OpenTURNS library.

.. todo::

    Fill the docstrings in the :ref:`SWIG docstrings header files <contribute_docstrings>`
    and refer to the documented objects here in order to complete the user
    manual.

.. toctree::

    base_objects
    combinatorial_generators
    designs_of_experiments
    functions
    graphs
    integration
    isoprobabilistic_transformation
    optimization
    polynomials
    probabilistic_modelling
    response_surface_functional_chaos_expansion
    response_surface_kriging
    response_surface_parametric_approximation
    statistics_on_sample
    stochastic_process
    taylor_decomposition
    threshold_probability_reliability_algorithms
    threshold_probability_simulation_algorithms
    transformations
    configuration
